package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.Prefix;

/**
 * 本公司信息Mapper接口
 * 
 * @author 胡懿
 * @date 2025-03-25
 */
public interface PrefixMapper 
{
    /**
     * 查询本公司信息
     * 
     * @param id 本公司信息主键
     * @return 本公司信息
     */
    public Prefix selectPrefixById(Long id);

    /**
     * 查询本公司信息列表
     * 
     * @param prefix 本公司信息
     * @return 本公司信息集合
     */
    public List<Prefix> selectPrefixList(Prefix prefix);

    /**
     * 新增本公司信息
     * 
     * @param prefix 本公司信息
     * @return 结果
     */
    public int insertPrefix(Prefix prefix);

    /**
     * 修改本公司信息
     * 
     * @param prefix 本公司信息
     * @return 结果
     */
    public int updatePrefix(Prefix prefix);

    /**
     * 删除本公司信息
     * 
     * @param id 本公司信息主键
     * @return 结果
     */
    public int deletePrefixById(Long id);

    /**
     * 批量删除本公司信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePrefixByIds(Long[] ids);


    public Prefix findOne();
}
