package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.PublicConf;

/**
 * 外部公司配置Mapper接口
 * 
 * @author 胡懿
 * @date 2025-03-25
 */
public interface PublicConfMapper 
{
    /**
     * 查询外部公司配置
     * 
     * @param id 外部公司配置主键
     * @return 外部公司配置
     */
    public PublicConf selectPublicConfById(Long id);

    /**
     * 查询外部公司配置列表
     * 
     * @param publicConf 外部公司配置
     * @return 外部公司配置集合
     */
    public List<PublicConf> selectPublicConfList(PublicConf publicConf);

    /**
     * 新增外部公司配置
     * 
     * @param publicConf 外部公司配置
     * @return 结果
     */
    public int insertPublicConf(PublicConf publicConf);

    /**
     * 修改外部公司配置
     * 
     * @param publicConf 外部公司配置
     * @return 结果
     */
    public int updatePublicConf(PublicConf publicConf);

    /**
     * 删除外部公司配置
     * 
     * @param id 外部公司配置主键
     * @return 结果
     */
    public int deletePublicConfById(Long id);

    /**
     * 批量删除外部公司配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePublicConfByIds(Long[] ids);
}
