package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.Bs;

/**
 * 标识管理Service接口
 * 
 * @author 胡懿
 * @date 2025-03-25
 */
public interface IBsService 
{
    /**
     * 查询标识管理
     * 
     * @param id 标识管理主键
     * @return 标识管理
     */
    public Bs selectBsById(Long id);

    /**
     * 查询标识管理列表
     * 
     * @param bs 标识管理
     * @return 标识管理集合
     */
    public List<Bs> selectBsList(Bs bs);

    /**
     * 新增标识管理
     * 
     * @param bs 标识管理
     * @return 结果
     */
    public int insertBs(Bs bs);

    /**
     * 修改标识管理
     * 
     * @param bs 标识管理
     * @return 结果
     */
    public int updateBs(Bs bs);

    /**
     * 批量删除标识管理
     * 
     * @param ids 需要删除的标识管理主键集合
     * @return 结果
     */
    public int deleteBsByIds(Long[] ids);

    /**
     * 删除标识管理信息
     * 
     * @param id 标识管理主键
     * @return 结果
     */
    public int deleteBsById(Long id);

    List<Bs> publicList(Bs bs);

    TableDataInfo getPublicList(String url, Bs bs, Integer pageSize, Integer pageNum);
}
