package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.Model;

/**
 * 模版管理Service接口
 * 
 * @author ruoyi
 * @date 2025-03-25
 */
public interface IModelService 
{
    /**
     * 查询模版管理
     * 
     * @param id 模版管理主键
     * @return 模版管理
     */
    public Model selectModelById(Long id);

    /**
     * 查询模版管理列表
     * 
     * @param model 模版管理
     * @return 模版管理集合
     */
    public List<Model> selectModelList(Model model);

    /**
     * 新增模版管理
     * 
     * @param model 模版管理
     * @return 结果
     */
    public int insertModel(Model model);

    /**
     * 修改模版管理
     * 
     * @param model 模版管理
     * @return 结果
     */
    public int updateModel(Model model);

    /**
     * 批量删除模版管理
     * 
     * @param ids 需要删除的模版管理主键集合
     * @return 结果
     */
    public int deleteModelByIds(Long[] ids);

    /**
     * 删除模版管理信息
     * 
     * @param id 模版管理主键
     * @return 结果
     */
    public int deleteModelById(Long id);

    Model getModelInfo(Long id);

    List<Model> publicModelList(Model model);

    TableDataInfo getPublicList(String url, Model model, Integer pageSize, Integer pageNum);
}
