package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.PrefixMapper;
import com.ruoyi.system.domain.Prefix;
import com.ruoyi.system.service.IPrefixService;

/**
 * 本公司信息Service业务层处理
 * 
 * @author 胡懿
 * @date 2025-03-25
 */
@Service
public class PrefixServiceImpl implements IPrefixService
{
    @Autowired
    private PrefixMapper prefixMapper;

    /**
     * 查询本公司信息
     * 
     * @param id 本公司信息主键
     * @return 本公司信息
     */
    @Override
    public Prefix selectPrefixById(Long id)
    {
        return prefixMapper.selectPrefixById(id);
    }

    /**
     * 查询本公司信息列表
     * 
     * @param prefix 本公司信息
     * @return 本公司信息
     */
    @Override
    public List<Prefix> selectPrefixList(Prefix prefix)
    {
        return prefixMapper.selectPrefixList(prefix);
    }

    /**
     * 新增本公司信息
     * 
     * @param prefix 本公司信息
     * @return 结果
     */
    @Override
    public int insertPrefix(Prefix prefix)
    {
        return prefixMapper.insertPrefix(prefix);
    }

    /**
     * 修改本公司信息
     * 
     * @param prefix 本公司信息
     * @return 结果
     */
    @Override
    public int updatePrefix(Prefix prefix)
    {
        return prefixMapper.updatePrefix(prefix);
    }

    /**
     * 批量删除本公司信息
     * 
     * @param ids 需要删除的本公司信息主键
     * @return 结果
     */
    @Override
    public int deletePrefixByIds(Long[] ids)
    {
        return prefixMapper.deletePrefixByIds(ids);
    }

    /**
     * 删除本公司信息信息
     * 
     * @param id 本公司信息主键
     * @return 结果
     */
    @Override
    public int deletePrefixById(Long id)
    {
        return prefixMapper.deletePrefixById(id);
    }
}
