package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.PublicConfMapper;
import com.ruoyi.system.domain.PublicConf;
import com.ruoyi.system.service.IPublicConfService;

/**
 * 外部公司配置Service业务层处理
 * 
 * @author 胡懿
 * @date 2025-03-25
 */
@Service
public class PublicConfServiceImpl implements IPublicConfService 
{
    @Autowired
    private PublicConfMapper publicConfMapper;

    /**
     * 查询外部公司配置
     * 
     * @param id 外部公司配置主键
     * @return 外部公司配置
     */
    @Override
    public PublicConf selectPublicConfById(Long id)
    {
        return publicConfMapper.selectPublicConfById(id);
    }

    /**
     * 查询外部公司配置列表
     * 
     * @param publicConf 外部公司配置
     * @return 外部公司配置
     */
    @Override
    public List<PublicConf> selectPublicConfList(PublicConf publicConf)
    {
        return publicConfMapper.selectPublicConfList(publicConf);
    }

    /**
     * 新增外部公司配置
     * 
     * @param publicConf 外部公司配置
     * @return 结果
     */
    @Override
    public int insertPublicConf(PublicConf publicConf)
    {
        return publicConfMapper.insertPublicConf(publicConf);
    }

    /**
     * 修改外部公司配置
     * 
     * @param publicConf 外部公司配置
     * @return 结果
     */
    @Override
    public int updatePublicConf(PublicConf publicConf)
    {
        return publicConfMapper.updatePublicConf(publicConf);
    }

    /**
     * 批量删除外部公司配置
     * 
     * @param ids 需要删除的外部公司配置主键
     * @return 结果
     */
    @Override
    public int deletePublicConfByIds(Long[] ids)
    {
        return publicConfMapper.deletePublicConfByIds(ids);
    }

    /**
     * 删除外部公司配置信息
     * 
     * @param id 外部公司配置主键
     * @return 结果
     */
    @Override
    public int deletePublicConfById(Long id)
    {
        return publicConfMapper.deletePublicConfById(id);
    }
}
